libzypp 17.37.10

zyppng::remove_smart_ptr< std::shared_ptr< T > > Struct Template Reference

`#include <zypp-core/zyppng/meta/type_traits.h>`

## Public Types
using | type = std::remove_cv_t<T>

## Detailed Description

template<typename T>
struct zyppng::remove_smart_ptr< std::shared_ptr< T > >

Definition at line 127 of file type_traits.h.

## Member Typedef Documentation

## ◆ type

template<typename T>

using zyppng::remove_smart_ptr< std::shared_ptr< T > >::type = std::remove_cv_t<T>

Definition at line 127 of file type_traits.h.

The documentation for this struct was generated from the following file:

- zypp-core/zyppng/meta/type_traits.h